{
	"name": "table/external/4d/manager/product/work_order.json",
	"table_name": "work_order",
	"table_prefix": "wo",
	"table_number": 44,
	"table_name_local": "production_order",
	"record_type_local": "",
	"field": [
	{
		"type": "date",
		"field_number": 8,
		"name": "act_finish_date"
	},
	{
		"type": "integer",
		"field_number": 7,
		"name": "act_finish_week"
	},
	{
		"type": "varchar",
		"length": 0,
		"field_number": 45,
		"name": "additional_data"
	},
	{
		"type": "varchar",
		"length": 90,
		"field_number": 49,
		"name": "change_id"
	},
	{
		"field_number": 11,
		"nullable": true,
		"type": "varchar",
		"length": 24,
		"name": "company_id",
		"foreign_key": {
			"field": "company_id",
			"table": "company"
		}
	},
	{
		"type": "date",
		"field_number": 37,
		"name": "creation_date"
	},
	{
		"type": "varchar",
		"length": 40,
		"field_number": 50,
		"name": "creator_id"
	},
	{
		"type": "date",
		"field_number": 38,
		"name": "critical_date"
	},
	{
		"type": "date",
		"field_number": 40,
		"name": "critical_date_delayed"
	},
	{
		"type": "date",
		"field_number": 41,
		"name": "critical_date_real"
	},
	{
		"type": "date",
		"field_number": 43,
		"name": "critical_start_date"
	},
	{
		"type": "double",
		"field_number": 47,
		"name": "critical_start_difference"
	},
	{
		"type": "time without time zone",
		"field_number": 44,
		"name": "critical_start_time"
	},
	{
		"type": "date",
		"field_number": 17,
		"name": "delivery_date"
	},
	{
		"type": "varchar",
		"length": 80,
		"field_number": 24,
		"name": "drawing_number"
	},
	{
		"type": "date",
		"field_number": 30,
		"name": "est_finish_date"
	},
	{
		"type": "double",
		"field_number": 48,
		"name": "est_finish_difference"
	},
	{
		"type": "time without time zone",
		"field_number": 35,
		"name": "est_finish_time"
	},
	{
		"type": "integer",
		"field_number": 29,
		"name": "est_finish_week"
	},
	{
		"type": "double",
		"field_number": 39,
		"name": "failed_amount"
	},
	{
		"type": "integer",
		"field_number": 26,
		"name": "finished_work_phase"
	},
	{
		"type": "integer",
		"field_number": 27,
		"name": "firm_id"
	},
	{
		"type": "boolean",
		"field_number": 23,
		"name": "in_report"
	},
	{
		"type": "varchar",
		"length": 0,
		"field_number": 15,
		"name": "info"
	},
	{
		"type": "date",
		"field_number": 33,
		"name": "material_act_arrival_date"
	},
	{
		"type": "date",
		"field_number": 34,
		"name": "material_est_arrival_date"
	},
	{
		"type": "varchar",
		"length": 40,
		"field_number": 51,
		"name": "modifier_id"
	},
	{
		"type": "varchar",
		"length": 80,
		"field_number": 53,
		"name": "parent_production_lot"
	},
	{
		"type": "smallint",
		"field_number": 19,
		"name": "partial_delivery_number"
	},
	{
		"type": "integer",
		"field_number": 56,
		"name": "pricing_state"
	},
	{
		"type": "date",
		"field_number": 16,
		"name": "print_date"
	},
	{
		"type": "double",
		"field_number": 9,
		"name": "produced_amount"
	},
	{
		"field_number": 3,
		"type": "varchar",
		"length": 70,
		"name": "production_lot",
		"constraint": [
			"unique"
		]
	},
	{
		"type": "varchar",
		"length": 80,
		"field_number": 46,
		"name": "project_id"
	},
	{
		"type": "varchar",
		"length": 20,
		"field_number": 14,
		"name": "purchase_order_id"
	},
	{
		"field_number": 36,
		"type": "varchar",
		"length": 90,
		"name": "record_id",
		"constraint": [
			"unique"
		]
	},
	{
		"type": "double",
		"field_number": 20,
		"name": "remaining_amount"
	},
	{
		"type": "smallint",
		"field_number": 2,
		"name": "row_number"
	},
	{
		"type": "varchar",
		"length": 20,
		"field_number": 13,
		"name": "sales_order_id"
	},
	{
		"type": "smallint",
		"field_number": 28,
		"name": "sales_order_row_id"
	},
	{
		"type": "double",
		"field_number": 25,
		"name": "sales_price__unit"
	},
	{
		"type": "varchar",
		"length": 80,
		"field_number": 31,
		"name": "serial_number"
	},
	{
		"type": "date",
		"field_number": 5,
		"name": "start_date"
	},
	{
		"type": "time without time zone",
		"field_number": 18,
		"name": "start_time"
	},
	{
		"type": "integer",
		"field_number": 4,
		"name": "start_week"
	},
	{
		"type": "double",
		"field_number": 6,
		"name": "started_amount"
	},
	{
		"type": "varchar",
		"length": 4,
		"field_number": 10,
		"name": "state"
	},
	{
		"type": "varchar",
		"length": 0,
		"field_number": 22,
		"name": "stock_event_id"
	},
	{
		"type": "integer",
		"field_number": 55,
		"name": "track_time_status"
	},
	{
		"type": "varchar",
		"length": 120,
		"field_number": 42,
		"name": "transfer_id"
	},
	{
		"type": "varchar",
		"length": 0,
		"field_number": 32,
		"name": "transfer_info"
	},
	{
		"type": "integer",
		"field_number": 52,
		"name": "transfer_state"
	},
	{
		"type": "varchar",
		"length": 20,
		"field_number": 21,
		"name": "type_"
	},
	{
		"field_number": 1,
		"nullable": true,
		"type": "varchar",
		"length": 60,
		"name": "work__position_num_id",
		"foreign_key": {
			"field": "work__position_num_id",
			"table": "work"
		}
	},
	{
		"type": "varchar",
		"length": 20,
		"field_number": 12,
		"name": "work_order_id"
	},
	{
		"type": "integer",
		"field_number": 54,
		"name": "work_order_type"
	}
]
}
